automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Patch: new test


From: Tom Tromey
Subject: Patch: new test
Date: 19 Jun 2001 19:04:36 -0600

Do people like seeing these `FYI' patches?
If not I'll stop sending them.

This is a new test for a bug reported by Tim Van Holder.

2001-06-19  Tom Tromey  <address@hidden>

        * tests/Makefile.am (TESTS): Added yacc5.test.
        * tests/yacc5.test: New file.

Tom

Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.312
diff -u -r1.312 Makefile.am
--- Makefile.am 2001/06/17 18:53:02     1.312
+++ Makefile.am 2001/06/20 00:46:46
@@ -298,6 +298,7 @@
 yacc2.test \
 yacc3.test \
 yacc4.test \
+yacc5.test \
 yacc6.test \
 yaccpp.test \
 yaccvpath.test
Index: tests/yacc5.test
===================================================================
RCS file: yacc5.test
diff -N yacc5.test
--- /dev/null   Tue May  5 13:32:27 1998
+++ yacc5.test  Tue Jun 19 17:46:46 2001
@@ -0,0 +1,46 @@
+#! /bin/sh
+
+# Test of yacc functionality, derived from GNU binutils
+# by Tim Van Holder.
+
+. $srcdir/defs || exit 1
+
+cat > configure.in << 'END'
+AC_INIT
+AM_INIT_AUTOMAKE(nonesuch, nonesuch)
+AC_ARG_PROGRAM
+AC_PROG_INSTALL
+AC_PROG_MAKE_SET
+AC_PROG_CC
+AM_PROG_CC_C_O
+AC_PROG_YACC
+AC_OUTPUT(Makefile)
+END
+
+cat > Makefile.am << 'END'
+bin_PROGRAMS = maude
+maude_SOURCES = sub/maude.y
+END
+
+mkdir sub
+
+: > sub/maude.y
+
+$ACLOCAL || exit 1
+$AUTOMAKE -a || exit 1
+
+grep '^maude\.c:' Makefile.in || exit 1
+
+
+## Try again with subdir-objects.
+
+cat > Makefile.am << 'END'
+AUTOMAKE_OPTIONS = subdir-objects
+bin_PROGRAMS = maude
+maude_SOURCES = sub/maude.y
+END
+
+$ACLOCAL || exit 1
+$AUTOMAKE -a || exit 1
+
+grep '^sub/maude\.c:' Makefile.in



reply via email to

[Prev in Thread] Current Thread [Next in Thread]